/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.hhn;

/**
 *
 * @author LH
 */
class TzTest
{
 public static void main(String[] args)
 {
 String a = "123";
 String b = "4569";
 String c = "78922"; 
 
 String smallest;
 String greatest;
 String medium;
  
 smallest = (a.length() < b.length()) ? (c.length() < a.length()) ?
 c : a : b;
 
 greatest = (a.length() > b.length()) ?
                    (c.length() > a.length())?
                                            c :
                            b:
                        a; 
 
 
 medium = (a.length() < b.length()) ? (c.length() < a.length()) ?
 a : b : c;

 System.out.println(smallest);
 System.out.println(medium);
 System.out.println(greatest);
 //System.out.println(zipIt(smallest, medium, greatest));
    }
   
   
   public static String zipIt(String aa, String bb, String cc)
 {
  return (aa.length() == 1) ? aa + bb + cc :
         aa.substring(0,1) + bb.substring(0,1) + cc.substring(0,1) +
         zipIt(aa.substring(1), bb.substring(1), cc.substring(1));
         
         
 }
}